#All of the code below is part of the datapack created by BeagleBlocks

##----------------------------------------------------------------------------------- Mobs ---------------------------------------------------------------------------------------------#

###OVERWORLD
#Skeleton-Type
execute as @e[tag=!voa,tag=!marked,type=#mm:bony] at @s run function mm:mobs/skeleton

#Zombie-Type
execute as @e[tag=!voa,tag=!marked,type=#mm:zomby] at @s run function mm:mobs/zombie

##Phantom
#execute as @e[tag=!voa,tag=!marked,type=#mm:buggy] at @s run function mm:mobs/bugs

#Insect-Type
execute as @e[tag=!voa,tag=!marked,type=#mm:buggy] at @s run function mm:mobs/bugs

#Creeper-Type
execute as @e[tag=!voa,tag=!marked,type=creeper] at @s run function mm:mobs/creeper

###NETHER
#Pigman-Type
execute as @e[tag=!voa,tag=!marked,type=#mm:piggy] at @s run function mm:mobs/piglin

#Hoglin-Type
execute as @e[tag=!voa,tag=!marked,type=hoglin] at @s run function mm:mobs/hoglin

#Ghast-Type
execute as @e[tag=!voa,tag=!marked,type=ghast] at @s run function mm:mobs/ghast

#WitherSkeleton-Type
execute as @e[tag=!voa,tag=!marked,type=wither_skeleton] at @s run function mm:mobs/wither_skeleton

###END
#Enderman-Type
execute as @e[tag=!voa,tag=!marked,type=enderman] at @s run function mm:mobs/enderman

#Shulker
execute as @e[tag=!voa,tag=!marked,type=shulker] at @s run function mm:mobs/shulker
execute as @e[type=shulker_bullet,tag=!boom] at @s if entity @e[tag=expo,distance=..1] run function mm:mobs/shulker_bullet

###BOSSES
#Ender-Dragon
#execute as @e[tag=!voa,tag=!marked,type=ender_dragon] at @s run function mm:mobs/enderman

#Wither
#execute as @e[tag=!voa,tag=!marked,type=ender_dragon] at @s run function mm:mobs/enderman

#Warden
#execute as @e[tag=!voa,tag=!marked,type=ender_dragon] at @s run function mm:mobs/enderman


##----------------------------------------------------------------------------------- Behaviors ---------------------------------------------------------------------------------------------#
#Zombie-Type
execute as @e[tag=horde,nbt={HurtTime:9s}] at @s run function mm:behaviors/horde

#Insect-Type
execute as @e[tag=swarm,tag=!swarme,nbt={HurtTime:9s}] at @s run function mm:behaviors/swarm

#Exposive-Bullet
execute as @e[tag=boom] at @s if entity @a[distance=..1] run function mm:behaviors/explosive
execute as @e[tag=boom] at @s run particle minecraft:smoke ~ ~ ~ 0 0 0 .1 10

#Ender-Anger
execute as @e[tag=anger,tag=!angered] at @s if entity @a[distance=..5] run function mm:behaviors/anger
